Name:          libXft
Version:       2.3.4
Release:       2
Summary:       X FreeType library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: xorg-x11-util-macros autoconf automake libtool 
BuildRequires: freetype-devel fontconfig-devel pkgconfig(xrender)
Requires:      fontconfig

%description
Xft is a library that connects X applications with the FreeType font
rasterization library.

%package       devel
Summary:       Development files and Header files for %{name} 
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
autoreconf -ivf
%configure 
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/libXft.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/X11/Xft/*.h
%{_libdir}/pkgconfig/xft.pc
%{_libdir}/*.a
%{_libdir}/libXft.so

%files  help
%defattr(-,root,root)
%doc README.md ChangeLog
%{_mandir}/man3/Xft.3.gz

%changelog
* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.3.4-2
- Rebuild for next release

* Wed Dec 1 2021 dongyuzhen <dongyuzhen@huawei.com> - 2.3.4-1
- update to 2.3.4

* Tue Jul 28 2020 xiaoweiwei <xiaoweiwei5@huawei.com> - 2.3.3-1
- Type:upgrade
- Id:NA
- SUG:NA
- DESC:upgrade to 2.3.3

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.3.2-13
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.3.2-12
- Package init



